function YY = calib(ZZ)
% uses equi0 to calibrate structural parameters gamma, theta, q

global period hcal Rcal bcal rho beta alpha gamma theta q z invshare px taux
options = optimset('Display','off') ;

gamma = ZZ(1) ;
theta = ZZ(2) ;
q = ZZ(3) ;

e0 = 0.1 ; x0 = 0.4 ; phi0 = 0.5 ; c10 = 0.1 ;
XX0 = [e0 x0 Rcal phi0 c10] ;
XX = fsolve(@equi0,XX0,options) ;

e=XX(1);x=XX(2);R=XX(3);phi=XX(4);c1=XX(5);

growth = hcal ; 
c1e = c1*c1rat(R,phi) ; 
c2 = c1*(beta*R)^(1/rho)/growth ;
c2e = c1e*(beta*R/(1-phi))^(1/rho)/growth ;
y = ((1-e)*c2 +  e*c2e)/(1-alpha) ;
b = (z*x.*px -growth*c2e).*e/q ; 

YY = [2*(R^(1/period)-Rcal^(1/period)) ; e*x.*px/y-invshare ; b-bcal] ;