function YY = equi0(XX)
% test equilibrium conditions for given growth rate h0

global hcal rho beta alpha theta z q s taufi taux tauw px

e = XX(1) ;
x = XX(2) ;  
R = XX(3) ;
phi = XX(4) ;
c1 = XX(5) ;

growth = hcal ;
c1e = c1*c1rat(R,phi) ; % Euler+Indiff
c2 = c1*(beta*R)^(1/rho)/growth ; % Euler
c2e = c1e*(beta*R/(1-phi))^(1/rho)/growth ; % Euler
y = ((1-e)*c2 +  e*c2e)/(1-alpha) ;
b = (z*x*px - growth*c2e).*e/q ;
n = 1 - b - e ;
TRANS = tauw*alpha*y  + taufi*b.*q.*phi./R - taux*e.*x.*px ;
k = e.*g(x)./growth ;

YY = zeros(5,1) ;

YY(1) = alpha*y - (1-e).*c1 - e.*(s+x.*px+c1e) ; % mkt clear 
YY(2) = y - n^alpha.*k^(1-alpha) ; % production
YY(3) = growth*(1-alpha)*theta*y - e.*x.*px.*(phi*z + R.*(1-taux)) ; % optimal investment
YY(4) = TRANS + (1-tauw)*alpha*y./n -c1 - growth.*c2./R  ; % Budget worker
YY(5) =  (1-taufi)*q*phi.*n - (1-tauw)*alpha*R.*y ; % Budget financier